aboutsummaryrefslogtreecommitdiff
path: root/app/antivirus
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:59:34 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:59:34 +0000
commit7da9a7993ef0ebe40a80e3f357423adfbea4c863 (patch)
tree6ecdb05c5f7c1c679738c991967a97f396afd25b /app/antivirus
parent48a388bc51f72e4988dc2e7a72948bcff8522ab9 (diff)
downloadslackbuilds-7da9a7993ef0ebe40a80e3f357423adfbea4c863.tar.gz
slackbuilds-7da9a7993ef0ebe40a80e3f357423adfbea4c863.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@714 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/antivirus')
-rwxr-xr-xapp/antivirus/clamav/clamav.SlackBuild152
1 files changed, 152 insertions, 0 deletions
diff --git a/app/antivirus/clamav/clamav.SlackBuild b/app/antivirus/clamav/clamav.SlackBuild
new file mode 100755
index 00000000..d6a74619
--- /dev/null
+++ b/app/antivirus/clamav/clamav.SlackBuild
@@ -0,0 +1,152 @@
+#!/bin/bash
+#
+# slackbuild script for clamav
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building cairo are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="clamav"
+VERSION=${VERSION:=0.88.6}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+KEY="http://www.clamav.net/gpg/tkojm.gpg"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ]; then
+ if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ fi
+ if [ ! -f "$SRC_DIR/$SRC.sig" ]; then
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
+ fi
+fi
+
+if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
+ wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc || exit $ERROR_WGET
+fi
+
+gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
+sleep 3
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$PACKAGE-$VERSION.tar.$PACKAGE_EXT || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+clamav: clamav (A GPL virus scanner)
+clamav:
+clamav: Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose
+clamav: of this software is the integration with mail servers (attachment
+clamav: scanning). The package provides a flexible and scalable multi-threaded
+clamav: daemon, a command line scanner, and a tool for automatic updating via
+clamav: Internet. The programs are based on a shared library distributed with
+clamav: the Clam AntiVirus package, which you can use with your own software.
+clamav: Most importantly, the virus database is kept up to date.
+clamav:
+clamav:
+EOF
+
+# config
+mv etc/clamd.conf etc/clamd.conf.new
+mv etc/freshclam.conf etc/freshclam.conf.new
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+cp $CWD/{AUTHORS,BUGS,COPYING,ChangeLog,FAQ,INSTALL,NEWS,README,TODO,UPGRADE} usr/doc/$PACKAGE-$VERSION/
+
+# install script
+echo '( chroot . /sbin/ldconfig )' > install/doinst.sh
+echo '( if ! grep -qe "^clamav:" etc/group; then echo creating group clamav... ; chroot . /usr/sbin/groupadd clamav; fi )' >> install/doinst.sh
+echo '( if ! grep -qe "^clamav:" etc/passwd; then echo creating user clamav... ; chroot . /usr/sbin/useradd clamav -g clamav; fi )' >> install/doinst.sh
+echo '( if [ ! -f "etc/clamd.conf" ]; then mv etc/clamd.conf.new etc/clamd.conf; fi )' >> install/doinst.sh
+echo '( if [ ! -f "etc/freshclam.conf" ]; then mv etc/freshclam.conf.new etc/freshclam.conf; fi )' >> install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+